=== debian/changelog ===
hiredis (0.10.0-1) unstable; urgency=low

  * Initial release (Closes: #612601)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 01 May 2011 21:09:51 +0200
