=== debian/control ===
Source: hiredis
Priority: optional
Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
Build-Depends: debhelper (>= 7), redis-server
Standards-Version: 3.9.2
Section: libs
Homepage: https://github.com/antirez/hiredis
Vcs-Git: git://git.debian.org/collab-maint/hiredis.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/hiredis.git;a=summary

Package: libhiredis-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libhiredis0 (= ${binary:Version})
Description: Minimalistic C client library for Redis (development files)
 Hiredis is a minimalistic C client library for the Redis database. It is
 minimalistic because it just adds minimal support for the protocol, but
 at the same time it uses an high level printf-alike API in order to make
 it much higher level than otherwise suggested by its minimal code base
 and the lack of explicit bindings for every Redis command.
 .
 Apart from supporting sending commands and receiving replies, it comes
 with a reply parser that is decoupled from the I/O layer. It is a stream
 parser designed for easy reusability, which can for instance be used in
 higher level language bindings for efficient reply parsing.
 .
 Hiredis only supports the binary-safe Redis protocol, so you can use it
 with any Redis version >= 1.2.0.
 .
 The library comes with multiple APIs. There is the synchronous API, the
 asynchronous API and the reply parsing API.
 .
 This package provides the development file for libhiredis.

Package: libhiredis0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Minimalistic C client library for Redis
 Hiredis is a minimalistic C client library for the Redis database. It is
 minimalistic because it just adds minimal support for the protocol, but
 at the same time it uses an high level printf-alike API in order to make
 it much higher level than otherwise suggested by its minimal code base
 and the lack of explicit bindings for every Redis command.
 .
 Apart from supporting sending commands and receiving replies, it comes
 with a reply parser that is decoupled from the I/O layer. It is a stream
 parser designed for easy reusability, which can for instance be used in
 higher level language bindings for efficient reply parsing.
 .
 Hiredis only supports the binary-safe Redis protocol, so you can use it
 with any Redis version >= 1.2.0.
 .
 The library comes with multiple APIs. There is the synchronous API, the
 asynchronous API and the reply parsing API.
