=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hiredis
 Priority: optional
 Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
-Build-Depends: debhelper (>= 7), redis-server
+Build-Depends: debhelper (>= 8), redis-server
 Standards-Version: 3.9.2
 Section: libs
 Homepage: https://github.com/antirez/hiredis
@@ -11,7 +11,7 @@
 Package: libhiredis-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhiredis0 (= ${binary:Version})
+Depends: ${misc:Depends}, libhiredis0.10 (= ${binary:Version})
 Description: Minimalistic C client library for Redis (development files)
  Hiredis is a minimalistic C client library for the Redis database. It is
  minimalistic because it just adds minimal support for the protocol, but
@@ -32,8 +32,10 @@
  .
  This package provides the development file for libhiredis.
 
-Package: libhiredis0
+Package: libhiredis0.10
 Architecture: any
+Replaces: libhiredis0
+Conflicts: libhiredis0
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Minimalistic C client library for Redis
  Hiredis is a minimalistic C client library for the Redis database. It is
