=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

# Temporarily disable test, because they are failing on buildd
override_dh_auto_test:
	echo "Test disabled"
