=== debian/watch ===
version=3

http://githubredir.debian.net/github/antirez/hiredis \/v(.*).tar.gz
