=== debian/control ===
--- 
+++ 
@@ -1,18 +1,44 @@
 Source: hiredis
 Priority: optional
-Maintainer: Alessandro Ghedini <al3xbio@gmail.com>
-Build-Depends: debhelper (>= 8), redis-server
-Standards-Version: 3.9.2
+Maintainer: Tom Lee <debian@tomlee.co>
+Build-Depends: debhelper (>= 9),
+ redis-server (>= 2:2.4.2-2) [linux-any kfreebsd-any],
+ procps
+Standards-Version: 3.9.5
 Section: libs
-Homepage: https://github.com/antirez/hiredis
-Vcs-Git: git://git.debian.org/collab-maint/hiredis.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/hiredis.git;a=summary
+Homepage: https://github.com/redis/hiredis
+Vcs-Git: git://anonscm.debian.org/collab-maint/hiredis.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hiredis.git/
+
+Package: libhiredis0.10
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: minimalistic C client library for Redis
+ Hiredis is a minimalistic C client library for the Redis database. It is
+ minimalistic because it just adds minimal support for the protocol, but
+ at the same time it uses an high level printf-alike API in order to make
+ it much higher level than otherwise suggested by its minimal code base
+ and the lack of explicit bindings for every Redis command.
+ .
+ Apart from supporting sending commands and receiving replies, it comes
+ with a reply parser that is decoupled from the I/O layer. It is a stream
+ parser designed for easy reusability, which can for instance be used in
+ higher level language bindings for efficient reply parsing.
+ .
+ Hiredis only supports the binary-safe Redis protocol, so you can use it
+ with any Redis version >= 1.2.0.
+ .
+ The library comes with multiple APIs. There is the synchronous API, the
+ asynchronous API and the reply parsing API.
 
 Package: libhiredis-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libhiredis0.10 (= ${binary:Version})
-Description: Minimalistic C client library for Redis (development files)
+Multi-Arch: same
+Description: minimalistic C client library for Redis (development files)
  Hiredis is a minimalistic C client library for the Redis database. It is
  minimalistic because it just adds minimal support for the protocol, but
  at the same time it uses an high level printf-alike API in order to make
@@ -30,14 +56,15 @@
  The library comes with multiple APIs. There is the synchronous API, the
  asynchronous API and the reply parsing API.
  .
- This package provides the development file for libhiredis.
+ This package provides the development files for hiredis.
 
-Package: libhiredis0.10
+Package: libhiredis-dbg
+Priority: extra
+Section: debug
 Architecture: any
-Replaces: libhiredis0
-Conflicts: libhiredis0
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Minimalistic C client library for Redis
+Depends: ${misc:Depends}, libhiredis0.10 (= ${binary:Version})
+Multi-Arch: same
+Description: minimalistic C client library for Redis (debug)
  Hiredis is a minimalistic C client library for the Redis database. It is
  minimalistic because it just adds minimal support for the protocol, but
  at the same time it uses an high level printf-alike API in order to make
@@ -54,3 +81,5 @@
  .
  The library comes with multiple APIs. There is the synchronous API, the
  asynchronous API and the reply parsing API.
+ .
+ This package provides the debugging symbols for hiredis.
