=== debian/changelog ===
hiredis (0.13.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Tom Lee <debian@tomlee.co>  Fri, 12 Jun 2015 08:46:56 -0700

hiredis (0.13.1-1) experimental; urgency=medium

  * Disable network test broken in pbuilder
    Thanks to Tobias Frost for the patch (closes: #770648)
  * Fix debian/watch
  * Imported Upstream version 0.13.1
  * Refresh patches
  * Bump Standards-Version to 3.9.6
  * Update symbols file
  * Remove support for cmake-2.8
  * SONAME change: libhiredis0.10 -> libhiredis0.13
  * Hack around upstream shared library naming scheme
  * Clear ARCH env var in override_dh_auto_build
  * Work around a race in 'make check'
  * Update .gitignore

 -- Tom Lee <debian@tomlee.co>  Thu, 07 May 2015 19:00:22 -0700
