## hiredis 0.13.3

=== debian/changelog ===
hiredis (0.13.3-2) unstable; urgency=medium

  * Ignore /tags
  * Fix kfreebsd FTBFS (closes: #792404)
  * Fix potential race in "invalid timeout" tests
  * DEP-3 headers and forwarding patches uptsream

 -- Tom Lee <debian@tomlee.co>  Wed, 18 Nov 2015 00:47:58 -0800

hiredis (0.13.3-1) unstable; urgency=medium

  * Imported Upstream version 0.13.3
  * Refreshed patches for 0.13.3
  * Improved cmake support (find_package) (closes: #784768)
  * Remove some unnecessary cruft from debian/rules
  * Update .gitignore

 -- Tom Lee <debian@tomlee.co>  Fri, 06 Nov 2015 21:50:03 -0800
