=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Build-Depends: debhelper (>= 9),
  redis-server (>= 2:2.4.2-2) [linux-any kfreebsd-any],
  procps
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/redis/hiredis
 Vcs-Git: git://anonscm.debian.org/collab-maint/hiredis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hiredis.git/
 
-Package: libhiredis0.10
+Package: libhiredis0.13
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -36,7 +36,7 @@
 Package: libhiredis-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhiredis0.10 (= ${binary:Version})
+Depends: ${misc:Depends}, libhiredis0.13 (= ${binary:Version})
 Multi-Arch: same
 Description: minimalistic C client library for Redis (development files)
  Hiredis is a minimalistic C client library for the Redis database. It is
@@ -62,7 +62,7 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, libhiredis0.10 (= ${binary:Version})
+Depends: ${misc:Depends}, libhiredis0.13 (= ${binary:Version})
 Multi-Arch: same
 Description: minimalistic C client library for Redis (debug)
  Hiredis is a minimalistic C client library for the Redis database. It is
