=== debian/watch ===
version=3

https://github.com/redis/hiredis/releases \/redis\/hiredis\/archive\/v(.*).tar.gz
