=== debian/changelog ===
hiredis (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0 (closes: #907259)
  * Updated patches for 0.14.0
  * Update Vcs-Git
  * Use automatic debug packages
  * Bump Standards-Version to 4.2.1
  * Update Vcs-Browser
  * Add DEP3 header to 07_cmake.patch
  * Add DEB_BUILD_OPTIONS=nocheck support
  * hardening=+all
  * Add CPPFLAGS to compile command line
  * Regenerate symbols file
  * Add a simple functional test
  * Use https for copyright format URL
  * Eliminate some unnecessary whitespace from debian/control
  * Bump to compat level 11
  * Clean up debian/rules a bit
  * Do not install redis-server and procps for nocheck builds

 -- Tom Lee <debian@tomlee.co>  Fri, 28 Sep 2018 14:18:32 -0700
