=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: hiredis
 Priority: optional
 Maintainer: Tom Lee <debian@tomlee.co>
-Build-Depends: debhelper (>= 9),
- redis-server (>= 2:2.4.2-2) [linux-any kfreebsd-any],
- procps
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11),
+ redis-server (>= 2:2.4.2-2) [linux-any kfreebsd-any] <!nocheck>,
+ procps <!nocheck>
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/redis/hiredis
-Vcs-Git: git://anonscm.debian.org/collab-maint/hiredis.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hiredis.git/
+Vcs-Git: https://github.com/thomaslee/hiredis-capnproto
+Vcs-Browser: https://github.com/thomaslee/hiredis-capnproto
 
-Package: libhiredis0.13
+Package: libhiredis0.14
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -36,7 +36,7 @@
 Package: libhiredis-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhiredis0.13 (= ${binary:Version})
+Depends: ${misc:Depends}, libhiredis0.14 (= ${binary:Version})
 Multi-Arch: same
 Description: minimalistic C client library for Redis (development files)
  Hiredis is a minimalistic C client library for the Redis database. It is
@@ -57,29 +57,3 @@
  asynchronous API and the reply parsing API.
  .
  This package provides the development files for hiredis.
-
-Package: libhiredis-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, libhiredis0.13 (= ${binary:Version})
-Multi-Arch: same
-Description: minimalistic C client library for Redis (debug)
- Hiredis is a minimalistic C client library for the Redis database. It is
- minimalistic because it just adds minimal support for the protocol, but
- at the same time it uses an high level printf-alike API in order to make
- it much higher level than otherwise suggested by its minimal code base
- and the lack of explicit bindings for every Redis command.
- .
- Apart from supporting sending commands and receiving replies, it comes
- with a reply parser that is decoupled from the I/O layer. It is a stream
- parser designed for easy reusability, which can for instance be used in
- higher level language bindings for efficient reply parsing.
- .
- Hiredis only supports the binary-safe Redis protocol, so you can use it
- with any Redis version >= 1.2.0.
- .
- The library comes with multiple APIs. There is the synchronous API, the
- asynchronous API and the reply parsing API.
- .
- This package provides the debugging symbols for hiredis.
