=== debian/tests/control ===
Tests: trivial-build-test
Depends: @, gcc, pkg-config
