## hiredis 0.14.1

=== debian/changelog ===
hiredis (0.14.1-2) unstable; urgency=medium

  * CVE-2021-32765: Prevent an integer overflow vulnerability when parsing
    'multi-bulk' replies.
  * Bump Standards-Version to 4.6.0.
  * Bump debhelper compatibility level to 13.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Oct 2021 15:14:29 +0100

hiredis (0.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/CVE-2020-7105.patch; applied upstream.
  * Refresh all remaining patches.
  * Update symbols.

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Mar 2020 14:05:27 +0000

hiredis (0.14.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialised dpkg-architecture variables.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Feb 2020 22:50:36 +0000

hiredis (0.14.0-5) unstable; urgency=medium

  * CVE-2020-7105: Prevent a large number of NULL pointer redeferences due to
    unchecked return values from malloc (etc.). (Closes: #949995)
  * Bump Standards-Version to 4.5.0.

 -- Chris Lamb <lamby@debian.org>  Wed, 29 Jan 2020 12:55:57 +0100

hiredis (0.14.0-4) unstable; urgency=medium

  * Drop call to --dbgsym-migration as the version is now satisfiable in the
    current stable release.
  * Drop versioned Build-Dependency on redis-server for version uploaded
    in 2011.
  * Add a gbp.conf and gitlab-ci.yml.
  * Specify "Rules-Requires-Root: no".
  * Bump Standards-Version to 4.4.1.
  * Bump debhelper compatibility level to 12.

 -- Chris Lamb <lamby@debian.org>  Mon, 28 Oct 2019 21:24:02 +0000

hiredis (0.14.0-3) unstable; urgency=medium

  * Adopt package. (See #911732)
  * Update Vcs-Browser and Vcs-Browser.
  * wrap-and-sort -sa.
  * Allow test failures on mipsel64.
  * Move to debhelper-compat virtual package and remove debian/compat.
  * Run gbp pq import && gbp export to make subsequent changes a no-op.
  * debian/libhiredis0.14.symbols: Add a Build-Depends-Package field.

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Nov 2018 23:14:09 +0000

hiredis (0.14.0-2) unstable; urgency=medium

  * Fix silly copy/paste error in Vcs-Git/Vcs-Browser
  * Fix autopkgtest dependencies
  * Whitespace fixup in changelogs
  * Restore lost NMU changelog entry

 -- Tom Lee <debian@tomlee.co>  Tue, 02 Oct 2018 23:24:57 -0700

hiredis (0.13.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop -dbg package in favour of -dbgsym package.

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Jan 2018 07:14:08 +0000
