=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: hiredis
 Priority: optional
-Maintainer: Tom Lee <debian@tomlee.co>
-Build-Depends: debhelper (>= 11),
- redis-server (>= 2:2.4.2-2) [linux-any kfreebsd-any] <!nocheck>,
- procps <!nocheck>
-Standards-Version: 4.2.1
+Maintainer: Chris Lamb <lamby@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ procps <!nocheck>,
+ redis-server [linux-any kfreebsd-any] <!nocheck>,
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/redis/hiredis
-Vcs-Git: https://github.com/thomaslee/hiredis-capnproto
-Vcs-Browser: https://github.com/thomaslee/hiredis-capnproto
+Vcs-Git: https://salsa.debian.org/lamby/pkg-hiredis.git
+Vcs-Browser: https://salsa.debian.org/lamby/pkg-hiredis
+Rules-Requires-Root: no
 
 Package: libhiredis0.14
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Multi-Arch: same
 Description: minimalistic C client library for Redis
  Hiredis is a minimalistic C client library for the Redis database. It is
@@ -36,7 +41,9 @@
 Package: libhiredis-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhiredis0.14 (= ${binary:Version})
+Depends:
+ libhiredis0.14 (= ${binary:Version}),
+ ${misc:Depends},
 Multi-Arch: same
 Description: minimalistic C client library for Redis (development files)
  Hiredis is a minimalistic C client library for the Redis database. It is
