## hiredis 1.2.0

=== debian/changelog ===
hiredis (1.2.0-6) unstable; urgency=medium

  * Temporarily allow timeout-related tests to fail.

 -- Chris Lamb <lamby@debian.org>  Sat, 06 Jan 2024 16:19:39 +0000

hiredis (1.2.0-5) unstable; urgency=medium

  * Upload new version to unstable. (Closes: #1057975)
  * Update gbp.conf now that this is the unstable branch.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Jan 2024 10:56:54 +0000

hiredis (1.2.0-4) experimental; urgency=medium

  * Allow crossbuilding to fail, but still run the tests.
  * Also clean dump.rdb. (Re: #1047475)

 -- Chris Lamb <lamby@debian.org>  Wed, 23 Aug 2023 09:16:12 -0700

hiredis (1.2.0-3) experimental; urgency=medium

  * Add hiredis_ssl.pc to debian/clean. (Closes: #1047475)

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Aug 2023 13:13:09 -0700

hiredis (1.2.0-2) experimental; urgency=medium

  * Rename package to match new SONAME, etc.

 -- Chris Lamb <lamby@debian.org>  Sun, 16 Jul 2023 10:01:03 +0100

hiredis (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Update patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Jul 2023 17:03:10 +0100

hiredis (1.1.0~rc1-1) experimental; urgency=medium

  * New upstream release.
    - Refresh 07_cmake.patch
    - Refresh 02_disable-failing-list.patch
  * Update renamed debian-watch-does-not-check-openpgp-signature tag.
  * Update symbols.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Nov 2022 12:27:46 +0000

hiredis (1.0.2-2) experimental; urgency=medium

  * Disable a test that fails under Redis 7.x. (Closes: #1014351)
  * Add a Build-Depends-Package field for libhiredis_ssl.so.1.0.0.
  * Bump Standards-Version to 4.6.1.
  * Update debian/gitlab-ci.yml.
  * Update debian/watch.
  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Thu, 07 Jul 2022 16:43:22 +0100

hiredis (1.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Oct 2021 08:51:11 +0100

hiredis (1.0.0-3) experimental; urgency=medium

  * CVE-2021-32765: Prevent an integer overflow vulnerability when parsing
    'multi-bulk' replies.
  * Refresh patches
  * Bump Standards-Version to 4.6.0.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Oct 2021 14:58:12 +0100

hiredis (1.0.0-2) experimental; urgency=medium

  * Build with SSL/TLS support. (Closes: #987114)
  * Use /usr/share/dpkg/default.mk over individual 'include' lines.
  * Use execute_after_dh_fixperms over override_dh_fixperms with explicit
    dh_fixperms call.
  * Bump Standards-Version to 4.5.1.
  * Apply wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Sun, 18 Apr 2021 10:48:28 +0100

hiredis (1.0.0-1) experimental; urgency=medium

  * New upstream release, bumping SONAME.
  * Update debian/gbp.conf for experimental upload.
  * Update debian/watch for -rc releases.

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Aug 2020 23:35:12 +0100

hiredis (0.14.1-4) unstable; urgency=medium

  [ Chris Lamb ]
  * Clean up dump.rdb after build. (Closes: #1047475)
  * Bump Standards-Version to 4.6.2.

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Aug 2023 10:42:29 -0700

hiredis (0.14.1-3) unstable; urgency=medium

  * Update test for Redis 7.x. (Closes: #1013615)
  * Update debian/gitlab-ci.yml.
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Jun 2022 11:58:00 +0100
