=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ libssl-dev,
  procps <!nocheck>,
  redis-server [linux-any kfreebsd-any] <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/redis/hiredis
 Vcs-Git: https://salsa.debian.org/lamby/pkg-hiredis.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-hiredis
 Rules-Requires-Root: no
 
-Package: libhiredis0.14
+Package: libhiredis1.1.0
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -42,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libhiredis0.14 (= ${binary:Version}),
+ libhiredis1.1.0 (= ${binary:Version}),
  ${misc:Depends},
 Multi-Arch: same
 Description: minimalistic C client library for Redis (development files)
