=== debian/tests/control ===
Tests: trivial-build-test
Depends:
 gcc,
 libc-dev,
 pkg-config,
 @,
