=== debian/watch ===
version=4
https://github.com/redis/hiredis/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
